#
# Compiler configurations
#

#
# Linux with pgf90
#
#FC      = pgf90
#FCFLAGS = -tp p6 -O
#CC      = gcc
#CFLAGS  =
#
# Linux with ifc
#
FC       = ifc
FCFLAGS  =
CC       = gcc
CFLAGS   =
#
# Sun OS with f90
#
#FC      = f90
#FCFLAGS =
#CC      = gcc
#CFLAGS  =

#
# General comand
#
AR       = ar
INCLUDE  = -I.

.SUFFIXES: .f90 .F .o .f .c

.c.o:
	$(CC) $(CFLAGS) -c $*.c
.f90.o:
	$(FC) $(FCFLAGS) $(INCLUDE) -c $*.f90
.f.o:
	$(FC) $(FCFLAGS) $(INCLUDE) -c $*.f
.F.o:
	$(FC) $(FCFLAGS) $(INCLUDE) -c $*.F
