  integer function RPN_ACOS( stacks, MaxStacks )
    integer                              , intent(IN)    :: MaxStacks
    type(RPN_STACK), dimension(MaxStacks), intent(INOUT) :: stacks

    integer :: ic, i, j, k, t

    ic      = stacks(1)%current
    RPN_ACOS = RPN_STACK_ERROR
    if( ic < 2 ) return
    RPN_ACOS = RPN_OPE_ERROR

    do t = 1, stacks(ic)%it
       do k = 1, stacks(ic)%kx
          do j = 1, stacks(ic)%jx
             do i = 1, stacks(ic)%ix
                if( stacks(ic)%val(i,j,k,t) /= stacks(ic)%undef ) then
                   if( abs( stacks(ic)%val(i,j,k,t) ) <= 1. ) then
                      stacks(ic)%val(i,j,k,t) = acos( stacks(ic)%val(i,j,k,t) )
                   else
                      stacks(ic)%val(i,j,k,t) = stacks(ic)%undef
                   end if
                end if
             end do
          end do
       end do
    end do

    RPN_ACOS = RPN_NOERROR
    return
  end function RPN_ACOS

