  integer function RPN_CCOPY( stacks, MaxStacks )
    integer                              , intent(IN)    :: MaxStacks
    type(RPN_STACK), dimension(MaxStacks), intent(INOUT) :: stacks

    integer :: ic, i, j, k, t

    real, parameter :: pi = 3.1415926535897989
    real :: d2r

    d2r = pi / 180.

    ic      = stacks(1)%current
    RPN_CCOPY = RPN_STACK_ERROR
    if( ic < 3 ) return
    RPN_CCOPY = RPN_OPE_ERROR

    do i = 1, 2
       ic = stacks(1)%current

       if( stacks(ic-1)%dim == 0 ) then
          RPN_CCOPY = RPN_PushStack( stacks,                   &
               &                    MaxStacks,                 &
               &                    stacks(ic-1)%val(1,1,1,1), &
               &                    stacks(ic-1)%undef,        &
               &                    stacks(ic-1)%model         )
       else
          RPN_CCOPY = RPN_PushStack( stacks,                &
               &                    MaxStacks,              &
               &                    stacks(ic-1)%val,       &
               &                    stacks(ic-1)%ix,        &
               &                    stacks(ic-1)%jx,        &
               &                    stacks(ic-1)%kx,        &
               &                    stacks(ic-1)%it,        &
               &                    stacks(ic-1)%undef,     &
               &                    stacks(ic-1)%model,     &
               &                    stacks(ic-1)%omodel,    &
               &                    stacks(ic-1)%olev,      &
               &                    stacks(ic-1)%cdate,     &
               &                    stacks(ic-1)%staggering )
       end if
    end do

    return
  end function RPN_CCOPY

