  integer function RPN_COPY( stacks, MaxStacks )
    integer                              , intent(IN)    :: MaxStacks
    type(RPN_STACK), dimension(MaxStacks), intent(INOUT) :: stacks

    integer :: ic, i, j, k, t

    real, parameter :: pi = 3.1415926535897989
    real :: d2r

    d2r = pi / 180.

    ic      = stacks(1)%current
    RPN_COPY = RPN_STACK_ERROR
    if( ic < 2 ) return
    RPN_COPY = RPN_OPE_ERROR

    if( stacks(ic)%dim == 0 ) then
       RPN_COPY = RPN_PushStack( stacks,                  &
            &                    MaxStacks,               &
            &                    stacks(ic)%val(1,1,1,1), &
            &                    stacks(ic)%undef,        &
            &                    stacks(ic)%model         )
    else
       RPN_COPY = RPN_PushStack( stacks,               &
            &                    MaxStacks,            &
            &                    stacks(ic)%val,       &
            &                    stacks(ic)%ix,        &
            &                    stacks(ic)%jx,        &
            &                    stacks(ic)%kx,        &
            &                    stacks(ic)%it,        &
            &                    stacks(ic)%undef,     &
            &                    stacks(ic)%model,     &
            &                    stacks(ic)%omodel,    &
            &                    stacks(ic)%olev,      &
            &                    stacks(ic)%cdate,     &
            &                    stacks(ic)%staggering )
    end if

    return
  end function RPN_COPY

