  integer function RPN_POP( stacks, MaxStacks )
    integer                              , intent(IN)    :: MaxStacks
    type(RPN_STACK), dimension(MaxStacks), intent(INOUT) :: stacks

    integer :: ic, i, j, k, t

    real, parameter :: pi = 3.1415926535897989
    real :: d2r

    d2r = pi / 180.

    ic      = stacks(1)%current
    RPN_POP = RPN_STACK_ERROR
    if( ic < 2 ) return
    RPN_POP = RPN_OPE_ERROR

    call RPN_ClearStacks( stacks, MaxStacks )
    RPN_POP = RPN_NOERROR

    return
  end function RPN_POP

