  integer function RPN_R2( stacks, MaxStacks )
    integer                              , intent(IN)    :: MaxStacks
    type(RPN_STACK), dimension(MaxStacks), intent(INOUT) :: stacks

    integer :: ic, i, j, k, t

    ic      = stacks(1)%current
    RPN_R2 = RPN_STACK_ERROR
    if( ic < 3 ) return
    RPN_R2 = RPN_OPE_ERROR

    if(    stacks(ic-1)%ix /= stacks(ic)%ix .or. &
         & stacks(ic-1)%jx /= stacks(ic)%jx .or. &
         & stacks(ic-1)%kx /= stacks(ic)%kx .or. &
         & stacks(ic-1)%it /= stacks(ic)%it      ) then
       return
    end if

    do t = 1, stacks(ic-1)%it
       do k = 1, stacks(ic-1)%kx
          do j = 1, stacks(ic-1)%jx
             do i = 1, stacks(ic-1)%ix
                if(    stacks(ic  )%val(i,j,k,t) /= stacks(ic  )%undef .and. &
                     & stacks(ic-1)%val(i,j,k,t) /= stacks(ic-1)%undef ) then
                   stacks(ic-1)%val(i,j,k,t) =        &
                        &   stacks(ic-1)%val(i,j,k,t) &
                        & * stacks(ic-1)%val(i,j,k,t) &
                        & + stacks(ic  )%val(i,j,k,t) &
                        & * stacks(ic  )%val(i,j,k,t)
                else
                   stacks(ic-1)%val(i,j,k,t) = stacks(ic-1)%undef
                end if
             end do
          end do
       end do
    end do
    call ClearStacks( stacks, MaxStacks )

    RPN_R2 = RPN_NOERROR
    return
  end function RPN_R2

