  integer function RPN_R2D( stacks, MaxStacks )
    integer                              , intent(IN)    :: MaxStacks
    type(RPN_STACK), dimension(MaxStacks), intent(INOUT) :: stacks

    integer :: ic, i, j, k, t

    real, parameter :: pi = 3.1415926535897989
    real :: r2d

    r2d = 180. / pi

    ic      = stacks(1)%current
    RPN_R2D = RPN_STACK_ERROR
    if( ic < 2 ) return
    RPN_R2D = RPN_OPE_ERROR

    do t = 1, stacks(ic)%it
       do k = 1, stacks(ic)%kx
          do j = 1, stacks(ic)%jx
             do i = 1, stacks(ic)%ix
                if( stacks(ic)%val(i,j,k,t) /= stacks(ic)%undef ) then
                   stacks(ic)%val(i,j,k,t) = stacks(ic)%val(i,j,k,t) * r2d
                end if
             end do
          end do
       end do
    end do

    RPN_R2D = RPN_NOERROR
    return
  end function RPN_R2D

