#
# Compiler configurations
#

#
# Linux with pgf90
#
#FC      = pgf90
#FCFLAGS = -tp p6 -O -byteswapio
#CC      = gcc
#CFLAGS  = -DUNDERSCORE -DLITTLE
#
# Linux with ifort
#
FC       = ifort
FCFLAGS  = -assume byterecl
CC       = gcc
CFLAGS   = 
#
# Linux with ifc
#
#FC       = ifc
#FCFLAGS  = -O0
#CC       = gcc
#CFLAGS   = -DUNDERSCORE -DLITTLE
#
# Sun OS with f90
#
#FC      = f90
#FCFLAGS =
#CC      = gcc
#CFLAGS  =

#
# General comand
#
AR       = ar
INCLUDE = -Ilibmm5
LIBDIR  = -Llibmm5
LIBRARY = -lmm5tool
#INCLUDE  = -I. -Ilibmm5 -I/usr/local/netcdf_ifc/include
#LIBDIR   = -Llibmm5 -L/usr/local/netcdf_ifc/lib
#LIBRARY  = -lnetcdf -lmm5tool

#
# for document
#
LATEX  = /usr/bin/platex
DVIPDF = /usr/bin/dvipdfmx

.SUFFIXES: .f90 .F .F90 .o .f .c

.c.o:
	$(CC) $(CFLAGS) -c $*.c
.f90.o:
	$(FC) $(FCFLAGS) $(INCLUDE) -c $*.f90
.f.o:
	$(FC) $(FCFLAGS) $(INCLUDE) -c $*.f
.F.o:
	$(FC) $(FCFLAGS) $(INCLUDE) -c $*.F
.F90.o:
	$(FC) $(FCFLAGS) -D$(USER_FUNC) $(INCLUDE) -c $*.F90
