integer function FuncSetTime( stacks, MaxStacks, mode )
  use RPN
  use ModelInfo
  use namelist
  use GeoGraphic
  implicit none
  integer        , intent(IN)    :: MaxStacks
  type(RPN_STACK), intent(INOUT) :: stacks(MaxStacks)
  integer        , intent(IN)    :: mode


  integer :: ic, n

  FuncSetTime = RPN_FUNC_OPE_ERROR

  ic = stacks(1)%current
  n  = ic - mode

  if( n < 2 ) return
  if( stacks(n)%cdate == 'YYYY-MM-DD_hh:mm:ss.ssss' ) return
  
  stacks(ic)%cdate = stacks(n)%cdate

  FuncSetTime = RPN_NOERROR
  return
end function FuncSetTime
