integer function FuncUmask( stacks, MaxStacks, mode, val, val2, no )
  use RPN
  implicit none
  integer        , intent(IN)    :: MaxStacks
  type(RPN_STACK), intent(INOUT) :: stacks(MaxStacks)
  integer        , intent(IN)    :: mode
  real           , intent(IN)    :: val
  real           , intent(IN)    :: val2
  integer        , intent(IN)    :: no

  integer :: ix
  integer :: jx
  integer :: kx
  integer :: it
  integer :: i
  integer :: j
  integer :: k
  integer :: t
  integer :: n

  integer :: ic

  FuncUmask = RPN_FUNC_OPE_ERROR

  ic = stacks(1)%current

  if( mode < 1 .or. mode > 2 ) return
  if( ic < no+mode ) return

  ix = stacks(ic)%ix
  jx = stacks(ic)%jx
  kx = stacks(ic)%kx
  it = stacks(ic)%it

  if( mode == 2 ) then
     do n = 1, no
        if(    ix /= stacks(ic-n)%ix .or.                                   &
             & jx /= stacks(ic-n)%jx .or.                                   &
             & kx /= stacks(ic-n)%kx .or.                                   &
             & it /= stacks(ic-n)%it ) return
     end do
  end if

  if( mode == 1 ) then
     do t = 1, it
     do k = 1, kx
     do j = 1, jx
     do i = 1, ix
        do n = ic-no+1, ic
           if( val == RPN_Undefined ) then
              if( stacks(n)%val(i,j,k,t) == stacks(n)%undef ) then
                 if( val2 /= RPN_Undefined ) then
                    stacks(n)%val(i,j,k,t) = val2
                 end if
              end if

           else if( stacks(n)%val(i,j,k,t) == val ) then
              if( val2 /= RPN_Undefined ) then
                 stacks(n)%val(i,j,k,t) = stacks(n)%undef
              else
                 stacks(n)%val(i,j,k,t) = val2
              end if
           end if
           end do
        end do
     end do
     end do
     end do
     
  else if( mode == 2 ) then
     do t = 1, it
     do k = 1, kx
     do j = 1, jx
     do i = 1, ix
        do n = ic-no, ic-1
           if( val == RPN_Undefined ) then
              if( stacks(ic)%val(i,j,k,t) == stacks(ic)%undef ) then
                 if( val2 /= RPN_Undefined ) then
                    stacks(n)%val(i,j,k,t) = val2
                 end if
              end if

           else if( stacks(ic)%val(i,j,k,t) == val ) then
              if( val2 /= RPN_Undefined ) then
                 stacks(n)%val(i,j,k,t) = stacks(n)%undef
              else
                 stacks(n)%val(i,j,k,t) = val2
              end if
           end if
           end do
        end do
     end do
     end do
     end do

     call RPN_ClearStacks( stacks, MaxStacks )
  end if

  FuncUmask = RPN_NOERROR
  return
end function FuncUmask
