#include "hlib.h"

#ifdef DEC
void hseek(int *nunit,int *pos,int *origin,int *err,int *oflag)
#else
void hseek(int *nunit,long *pos,int *origin,int *err,int *oflag)
#endif
{
  int file_size;

  *err = lseek(*nunit,*pos,*origin);
  file_size = lseek(*nunit,0L,2);
  lseek(*nunit,*err,0);

  if(*err > file_size)
    *err = -1;

  if(*err == -1){
    if(*oflag >= 0){
      printf("Error in hseek with descripter %d\n",*nunit);
    };
    *err = -3;
  }else{
    if(*oflag >= 1)
      printf("Position: %d/%d bytes\n",*err,file_size);
  }
}

