#include "hlib.h"

/* 
   mtoieee ( new version )
   */

void mtoieee(unsigned int *ad)
{
  struct IBM  ibm;
  struct IEEE ieee;
  unsigned int bit_shift;

  ibm.bit_of_sign  = *ad >> 31;
  ibm.bit_of_pow   = *ad << 1 >> 25;
  ibm.bit_of_float = *ad << 8 >> 8;

  if( *ad == 0.0 ){ return; }

  bit_shift = 0;
  while(1){
    if((ibm.bit_of_float >> (23 - bit_shift)) == 1)
      break;
    bit_shift++;
  }

  ieee.bit_of_sign  = ibm.bit_of_sign;
  ieee.bit_of_pow   = 4 * ibm.bit_of_pow - 130 - bit_shift;
  ieee.bit_of_float = ibm.bit_of_float << bit_shift;

  *ad = ( ieee.bit_of_sign << 31 ) | ( ieee.bit_of_pow << 23 )
      | ( ieee.bit_of_float );
}
