  integer function RPN_COS( stacks, MaxStacks )
    integer                              , intent(IN)    :: MaxStacks
    type(RPN_STACK), dimension(MaxStacks), intent(INOUT) :: stacks

    integer :: ic, i, j, k, t

    ic      = stacks(1)%current
    RPN_COS = RPN_STACK_ERROR
    if( ic < 2 ) return
    RPN_COS = RPN_OPE_ERROR

    do t = 1, stacks(ic)%it
       do k = 1, stacks(ic)%kx
          do j = 1, stacks(ic)%jx
             do i = 1, stacks(ic)%ix
                if( stacks(ic)%val(i,j,k,t) /= stacks(ic)%undef ) then
                   stacks(ic)%val(i,j,k,t) = cos( stacks(ic)%val(i,j,k,t) )
                end if
             end do
          end do
       end do
    end do

    RPN_COS = RPN_NOERROR
    return
  end function RPN_COS

