  integer function RPN_D2C( stacks, MaxStacks )
    integer                              , intent(IN)    :: MaxStacks
    type(RPN_STACK), dimension(MaxStacks), intent(INOUT) :: stacks

    integer :: ic
    integer :: i, j, k, t

    ic      = stacks(1)%current
    RPN_D2C = RPN_STACK_ERROR
    if( ic < 2 ) return

    RPN_D2C = RPN_OPE_ERROR
    if( stacks(ic)%dim == 0 ) return
    if( .not. stacks(ic)%staggering ) return

    do t = 1, stacks(ic)%it
       do k = 1, stacks(ic)%kx
          do j = 1, stacks(ic)%jx-1
             do i = 1, stacks(ic)%ix-1
                if(    stacks(ic)%val(i,j,k,t) /= stacks(ic)%undef   .and. &
                     & stacks(ic)%val(i+1,j,k,t) /= stacks(ic)%undef .and. &
                     & stacks(ic)%val(i,j+1,k,t) /= stacks(ic)%undef .and. &
                     & stacks(ic)%val(i+1,j+1,k,t) /= stacks(ic)%undef ) then
                   stacks(ic)%val(i,j,k,t) = 0.25 *              &
                        &          ( stacks(ic)%val(i  ,j  ,k,t) &
                        &          + stacks(ic)%val(i+1,j  ,k,t) &
                        &          + stacks(ic)%val(i  ,j+1,k,t) &
                        &          + stacks(ic)%val(i+1,j+1,k,t) )
                end if
             end do
          end do

          do i = 1, stacks(ic)%ix
             stacks(ic)%val(i,stacks(ic)%jx,k,t) = stacks(ic)%undef
          end do

          do j = 1, stacks(ic)%jx
             stacks(ic)%val(stacks(ic)%ix,j,k,t) = stacks(ic)%undef
          end do

       end do
    end do

    stacks(ic)%staggering = .false.
    RPN_D2C = RPN_NOERROR
    return
  end function RPN_D2C
