  integer function RPN_SQRT( stacks, MaxStacks )
    integer                              , intent(IN)    :: MaxStacks
    type(RPN_STACK), dimension(MaxStacks), intent(INOUT) :: stacks

    integer :: ic
    integer :: i, j, k, t

    ic      = stacks(1)%current
    RPN_SQRT = RPN_STACK_ERROR
    if( ic < 2 ) return

    RPN_SQRT = RPN_NEG_IN_SQRT

    do t = 1, stacks(ic)%it
       do k = 1, stacks(ic)%kx
          do j = 1, stacks(ic)%jx
             do i = 1, stacks(ic)%ix
                if( stacks(ic)%val(i,j,k,t) /= stacks(ic)%undef ) then
                   if( stacks(ic)%val(i,j,k,t) < 0. ) then
                      if( RPN_ForceUndef ) then
                         stacks(ic)%val(i,j,k,t) = stacks(ic)%undef
                      else
                         return
                      end if

                   else
                      stacks(ic)%val(i,j,k,t) = sqrt( stacks(ic)%val(i,j,k,t) )
                   end if
                end if
             end do
          end do
       end do
    end do

    RPN_SQRT = RPN_NOERROR
    return
  end function RPN_SQRT

